﻿// Extracting and Reshaping World Fertility Survey Data in Stata
// Germán Rodríguez (Princeton University) and 
// Trevor Croft (The DHS Program/ICF)

// install WFS command from the DHS website if needed
capture findfile wfs.ado
if _rc > 0 net install wfs, from(http://wfs.dhsprogram.com)

// 3. view the WFS web site
wfs

// 4. view a dictionary
wfs using cosr02, dhs

// 5. extracting data
wfs v011 v110 using cosr02, dhs clear
tab v011
tab v110
tab v110, missing

// 6a. reshaping union history
wfs v010 unions using cosr02, dhs clear
wfs reshape long, unions
tab m1

// 6b. reshaping birth history
wfs v010 births using cosr02, dhs clear
wfs reshape long, births
tab b5
tab b5, missing

// 7. making local copy of data
wfs copy using cosr02, replace
